TEST-UNEXPECTED-FAIL | test_feed_discovery.html,test_bug338583.html | application terminated with exit code 256 [@ memcmp | SECITEM_CompareItem_Util | ... | pkix_SignatureChecker_Check | ... | CERT_PKIXVerifyCert]

RESOLVED INCOMPLETE

Status

()

--
critical
RESOLVED INCOMPLETE
5 years ago
2 years ago

People

(Reporter: nigelb, Unassigned)

Tracking

(4 keywords)

Trunk
mozilla30
x86_64
Linux
csectype-uaf, intermittent-failure, regression, sec-critical
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox25 wontfix, firefox26 wontfix, firefox27 wontfix, firefox28 wontfix, firefox29 affected, firefox30- affected, firefox-esr17 wontfix, firefox-esr24 affected)

Details

(crash signature, URL)

(Reporter)

Description

5 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=30124486&tree=Mozilla-Inbound

Ubuntu ASAN VM 12.04 x64 mozilla-inbound opt test mochitest-1 on 2013-11-04 23:52:16 PST for push ed57804472ee

slave: tst-linux64-ec2-325

23:56:49     INFO -      #0 0x446395 in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:74
23:56:49     INFO -      #1 0x7f2aa23f95c8 in moz_xmalloc /builds/slave/m-in-l64-asan-0000000000000000/build/memory/mozalloc/mozalloc.cpp:52
23:56:49     INFO -  Thread T40 (SSL Cert #1) created by T5 (Socket Thread) here:
23:56:49     INFO -      #0 0x437801 in __interceptor_pthread_create /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_interceptors.cc:155
23:56:49     INFO -      #1 0x7f2aa4cd6b35 in _PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:444
23:56:49     INFO -      #2 0x7f2aa4cd6687 in PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:527
23:56:49     INFO -  Thread T5 (Socket Thread) created by T0 here:
23:56:49     INFO -      #0 0x437801 in __interceptor_pthread_create /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_interceptors.cc:155
23:56:49     INFO -      #1 0x7f2aa4cd6b35 in _PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:444
23:56:49     INFO -      #2 0x7f2aa4cd6687 in PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:527
23:56:49     INFO -  SUMMARY: AddressSanitizer: heap-use-after-free /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/util/secitem.c:188 SECITEM_CompareItem_Util
23:56:49     INFO -  Shadow bytes around the buggy address:
23:56:49     INFO -    0x0c3a800c5390: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53a0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53b0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53c0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53d0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -  =>0x0c3a800c53e0: fd fd fd fd fd[fd]fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c53f0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5400: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5410: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5420: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5430: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -  Shadow byte legend (one shadow byte represents 8 application bytes):
23:56:49     INFO -    Addressable:           00
23:56:49     INFO -    Partially addressable: 01 02 03 04 05 06 07
23:56:49     INFO -    Heap left redzone:     fa
23:56:49     INFO -    Heap right redzone:    fb
23:56:49     INFO -    Freed heap region:     fd
23:56:49     INFO -    Stack left redzone:    f1
23:56:49     INFO -    Stack mid redzone:     f2
23:56:49     INFO -    Stack right redzone:   f3
23:56:49     INFO -    Stack partial redzone: f4
23:56:49     INFO -    Stack after return:    f5
23:56:49     INFO -    Stack use after scope: f8
23:56:49     INFO -    Global redzone:        f9
23:56:49     INFO -    Global init order:     f6
23:56:49     INFO -    Poisoned by user:      f7
23:56:49     INFO -    ASan internal:         fe
23:56:49     INFO -  ==2348==ABORTING
23:56:49  WARNING -  TEST-UNEXPECTED-FAIL | /tests/browser/base/content/test/general/test_feed_discovery.html | application terminated with exit code 256
23:56:49     INFO -  INFO | runtests.py | Application ran for: 0:00:34.216332
23:56:49     INFO -  INFO | zombiecheck | Reading PID log: /tmp/tmpFxOoLYpidlog
23:56:49     INFO -  WARNING | leakcheck | refcount logging is off, so leaks can't be detected!
23:56:49     INFO -  runtests.py | Running tests: end.
23:56:50     INFO - Return code: 0
Comment hidden (Treeherder Robot)
You generally need the full log for the juicy bits in an ASan failure.

23:56:47     INFO -  ==2348==ERROR: AddressSanitizer: heap-use-after-free on address 0x61d000669f28 at pc 0x7f2aa4620a2e bp 0x7f2a712f1ac0 sp 0x7f2a712f1ab8
23:56:47     INFO -  READ of size 4 at 0x61d000669f28 thread T40 (SSL Cert #1)
23:56:47     INFO -      #0 0x7f2aa4620a2d in SECITEM_CompareItem_Util /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/util/secitem.c:188
23:56:47     INFO -      #1 0x7f2aa41119ed in CERT_CompareCerts /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/certdb/certdb.c:1811
23:56:47     INFO -      #2 0x7f2aa427a5a4 in pkix_pl_Cert_Equals /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix_pl_nss/pki/pkix_pl_cert.c:1292
23:56:47     INFO -      #3 0x7f2aa42e833f in PKIX_PL_Object_Equals /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_object.c:996
23:56:47     INFO -      #4 0x7f2aa428079c in PKIX_PL_Cert_VerifySignature /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix_pl_nss/pki/pkix_pl_cert.c:2832
23:56:47     INFO -      #5 0x7f2aa41a794c in pkix_SignatureChecker_Check /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix/checker/pkix_signaturechecker.c:209
23:56:47     INFO -      #6 0x7f2aa41e7efd in pkix_CheckCert /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix/top/pkix_validate.c:174
23:56:47     INFO -      #7 0x7f2aa41e7efd in pkix_CheckChain /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix/top/pkix_validate.c:800
23:56:47     INFO -      #8 0x7f2aa421f6a6 in pkix_Build_ValidateEntireChain /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix/top/pkix_build.c:1334
23:56:47     INFO -      #9 0x7f2aa420fecb in pkix_BuildForwardDepthFirstSearch /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix/top/pkix_build.c:2557
23:56:47     INFO -      #10 0x7f2aa4204a05 in pkix_Build_InitiateBuildChain /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix/top/pkix_build.c:3620
23:56:47     INFO -      #11 0x7f2aa41fb602 in PKIX_BuildChain /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/libpkix/pkix/top/pkix_build.c:3785
23:56:47     INFO -      #12 0x7f2aa407d6a9 in CERT_PKIXVerifyCert /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/certhigh/certvfypkix.c:2191
23:56:47     INFO -  1190 INFO TEST-PASS | /tests/browser/base/content/test/general/test_bug364677.html | Feed served as text/xml without a channel/link should have been sniffed
23:56:47     INFO -  1191 INFO TEST-END | /tests/browser/base/content/test/general/test_bug364677.html | finished in 3067ms
23:56:47     INFO -  1192 INFO TEST-START | /tests/browser/base/content/test/general/test_bug395533.html
23:56:48     INFO -  1193 INFO TEST-PASS | /tests/browser/base/content/test/general/test_bug395533.html | Text got sniffed as a feed?
23:56:48     INFO -  1194 INFO TEST-END | /tests/browser/base/content/test/general/test_bug395533.html | finished in 330ms
23:56:48     INFO -  1195 INFO TEST-START | /tests/browser/base/content/test/general/test_feed_discovery.html
23:56:48     INFO -  ==2348==AddressSanitizer: while reporting a bug found another one.Ignoring.
23:56:49     INFO -      #13 0x7f2a9a360959 in mozilla::psm::CertVerifier::VerifyCert(CERTCertificateStr*, long, long, nsIInterfaceRequestor*, unsigned int, CERTCertListStr**, SECOidTag*, CERTVerifyLogStr*) /builds/slave/m-in-l64-asan-0000000000000000/build/security/manager/ssl/src/CertVerifier.cpp:263
23:56:49     INFO -      #14 0x7f2a9a41f06d in GetHostNameRaw /builds/slave/m-in-l64-asan-0000000000000000/build/security/manager/ssl/src/SSLServerCertVerification.cpp:658
23:56:49     INFO -      #15 0x7f2a9a41f06d in mozilla::psm::(anonymous namespace)::AuthCertificate(mozilla::psm::TransportSecurityInfo*, CERTCertificateStr*, SECItemStr*, unsigned int) /builds/slave/m-in-l64-asan-0000000000000000/build/security/manager/ssl/src/SSLServerCertVerification.cpp:886
23:56:49     INFO -      #16 0x7f2a9a42360a in mozilla::psm::(anonymous namespace)::SSLServerCertVerificationJob::Run() /builds/slave/m-in-l64-asan-0000000000000000/build/security/manager/ssl/src/SSLServerCertVerification.cpp:1057
23:56:49     INFO -      #17 0x7f2a9bf79450 in nsThreadPool::Run() /builds/slave/m-in-l64-asan-0000000000000000/build/xpcom/threads/nsThreadPool.cpp:204
23:56:49     INFO -      #18 0x7f2a9bf79759 in non-virtual thunk to nsThreadPool::Run() /builds/slave/m-in-l64-asan-0000000000000000/build/xpcom/threads/nsThreadPool.cpp:218
23:56:49     INFO -      #19 0x7f2a9bf73fc9 in nsThread::ProcessNextEvent(bool, bool*) /builds/slave/m-in-l64-asan-0000000000000000/build/xpcom/threads/nsThread.cpp:622
23:56:49     INFO -      #20 0x7f2a9bea3091 in NS_ProcessNextEvent(nsIThread*, bool) /builds/slave/m-in-l64-asan-0000000000000000/build/xpcom/glue/nsThreadUtils.cpp:251
23:56:49     INFO -      #21 0x7f2a9bf71a60 in nsThread::ThreadFunc(void*) /builds/slave/m-in-l64-asan-0000000000000000/build/xpcom/threads/nsThread.cpp:250
23:56:49     INFO -      #22 0x7f2aa4cdaa69 in _pt_root /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:204
23:56:49     INFO -      #23 0x44cf03 in __asan::AsanThread::ThreadStart(unsigned long) /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_thread.cc:138
23:56:49     INFO -      #24 0x7f2aa81f4e99 in start_thread (/lib/x86_64-linux-gnu/libpthread.so.0+0x7e99)
23:56:49     INFO -      #25 0x7f2aa7305dbc (/lib/x86_64-linux-gnu/libc.so.6+0xf3dbc)
23:56:49     INFO -  0x61d000669f28 is located 168 bytes inside of 2048-byte region [0x61d000669e80,0x61d00066a680)
23:56:49     INFO -  freed by thread T0 here:
23:56:49     INFO -      #0 0x446255 in __interceptor_free /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64
23:56:49     INFO -      #1 0x7f2a99a22760 in operator delete[] /builds/slave/m-in-l64-asan-0000000000000000/build/obj-firefox/parser/html/../../dist/include/mozilla/mozalloc.h:237
23:56:49     INFO -      #2 0x7f2a99a22760 in operator= /builds/slave/m-in-l64-asan-0000000000000000/build/parser/html/jArray.h:121
23:56:49     INFO -      #3 0x7f2a99a22760 in nsHtml5TreeBuilder::endTokenization() /builds/slave/m-in-l64-asan-0000000000000000/build/parser/html/nsHtml5TreeBuilder.cpp:571
23:56:49     INFO -      #4 0x7f2a999c802d in nsHtml5StringParser::ParseFragment(nsAString_internal const&, nsIContent*, nsIAtom*, int, bool, bool) /builds/slave/m-in-l64-asan-0000000000000000/build/parser/html/nsHtml5StringParser.cpp:64
23:56:49     INFO -      #5 0x7f2a98aecf86 in nsContentUtils::ParseFragmentHTML(nsAString_internal const&, nsIContent*, nsIAtom*, int, bool, bool) /builds/slave/m-in-l64-asan-0000000000000000/build/content/base/src/nsContentUtils.cpp:4055
23:56:49     INFO -  previously allocated by thread T0 here:
23:56:49     INFO -      #0 0x446395 in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:74
23:56:49     INFO -      #1 0x7f2aa23f95c8 in moz_xmalloc /builds/slave/m-in-l64-asan-0000000000000000/build/memory/mozalloc/mozalloc.cpp:52
23:56:49     INFO -  Thread T40 (SSL Cert #1) created by T5 (Socket Thread) here:
23:56:49     INFO -      #0 0x437801 in __interceptor_pthread_create /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_interceptors.cc:155
23:56:49     INFO -      #1 0x7f2aa4cd6b35 in _PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:444
23:56:49     INFO -      #2 0x7f2aa4cd6687 in PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:527
23:56:49     INFO -  Thread T5 (Socket Thread) created by T0 here:
23:56:49     INFO -      #0 0x437801 in __interceptor_pthread_create /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_interceptors.cc:155
23:56:49     INFO -      #1 0x7f2aa4cd6b35 in _PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:444
23:56:49     INFO -      #2 0x7f2aa4cd6687 in PR_CreateThread /builds/slave/m-in-l64-asan-0000000000000000/build/nsprpub/pr/src/pthreads/ptthread.c:527
23:56:49     INFO -  SUMMARY: AddressSanitizer: heap-use-after-free /builds/slave/m-in-l64-asan-0000000000000000/build/security/nss/lib/util/secitem.c:188 SECITEM_CompareItem_Util
23:56:49     INFO -  Shadow bytes around the buggy address:
23:56:49     INFO -    0x0c3a800c5390: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53a0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53b0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53c0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
23:56:49     INFO -    0x0c3a800c53d0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -  =>0x0c3a800c53e0: fd fd fd fd fd[fd]fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c53f0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5400: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5410: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5420: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -    0x0c3a800c5430: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
23:56:49     INFO -  Shadow byte legend (one shadow byte represents 8 application bytes):
23:56:49     INFO -    Addressable:           00
23:56:49     INFO -    Partially addressable: 01 02 03 04 05 06 07
23:56:49     INFO -    Heap left redzone:     fa
23:56:49     INFO -    Heap right redzone:    fb
23:56:49     INFO -    Freed heap region:     fd
23:56:49     INFO -    Stack left redzone:    f1
23:56:49     INFO -    Stack mid redzone:     f2
23:56:49     INFO -    Stack right redzone:   f3
23:56:49     INFO -    Stack partial redzone: f4
23:56:49     INFO -    Stack after return:    f5
23:56:49     INFO -    Stack use after scope: f8
23:56:49     INFO -    Global redzone:        f9
23:56:49     INFO -    Global init order:     f6
23:56:49     INFO -    Poisoned by user:      f7
23:56:49     INFO -    ASan internal:         fe
23:56:49     INFO -  ==2348==ABORTING
23:56:49  WARNING -  TEST-UNEXPECTED-FAIL | /tests/browser/base/content/test/general/test_feed_discovery.html | application terminated with exit code 256
Severity: normal → critical
Component: RSS Discovery and Preview → Security
Product: Firefox → Core
Needinfo from kaie since this is NSS. Also marking s-s because a use-after-free in NSS sounds quite dangerous.
Group: core-security
Flags: needinfo?(kaie)

Comment 4

5 years ago
Did you add a new test?

Or is this a new failure of existing tests?

If it's a new failure of existing tests, then it's related to the recent NSS udpate.
Flags: needinfo?(kaie)
Just inbound? Or does mozilla-central have the same intermittent failure? If it's just inbound then it's either very recent (backout time!) or a mystery why it's not happening on trunk.
Assignee: nobody → nobody
Group: crypto-core-security
Component: Security → Libraries
Keywords: csec-uaf, sec-critical
Product: Core → NSS
Version: Trunk → 3.15.2
unless it's a new test... no point in backing that out.
It's not a new test, it's from 2007. It's not just inbound, comment 1 is from ux.

I'd be fine with backing out the NSS update, but that's not my call to make.
status-firefox28: --- → affected
tracking-firefox28: --- → +

Updated

5 years ago
Depends on: 937721
(In reply to Phil Ringnalda (:philor) from comment #7)
> It's not a new test, it's from 2007. It's not just inbound, comment 1 is
> from ux.
> 
> I'd be fine with backing out the NSS update, but that's not my call to make.

We did the backouts in bug 937721. But, now I see the original TBPL failures in this bug were on 2013-11-05 in revision ed57804472ee. NSS 3.15.4 beta1 did not land until 2013-11-07 in revision f396166fb1a5. So, I don't think this was caused by last week's NSS updates.
I do not think this crash is new. Look at crash-stats:
https://crash-stats.mozilla.com/query/?query_type=simple&query=SECITEM_CompareItem_Util

In particular, look at the first type of crash:
https://crash-stats.mozilla.com/report/list?signature=memcmp+%7C+SECITEM_CompareItem_Util&product=Firefox&query_type=contains&range_unit=weeks&process_type=any&hang_type=any&date=2013-11-12+22%3A00%3A00&range_value=1#reports

https://crash-stats.mozilla.com/report/list?signature=SECITEM_CompareItem_Util&product=Firefox&query_type=contains&range_unit=weeks&process_type=any&hang_type=any&date=2013-11-12+22%3A00%3A00&range_value=1#reports

That is the same[1] stack trace as this, going all the way back to Firefox 11. Note that bug 674147 landed in Firefox 11. So, I'm calling this a race condition, which was likely provoked by that change. Note that, in that change, we made it so multiple certificate verifications could happen in parallel. I suspect that parallel certificate verification is racy. We should try testing this by spawning writing a proof of concept (perhaps a GTest) that forces a bunch of SSLServerCertVerificationJobs to occur concurrently for the same cert chain.
Blocks: 674147
Crash Signature: [@ memcmp | SECITEM_CompareItem_Util]
Summary: TEST-UNEXPECTED-FAIL | /tests/browser/base/content/test/general/test_feed_discovery.html | application terminated with exit code 256 → TEST-UNEXPECTED-FAIL | /tests/browser/base/content/test/general/test_feed_discovery.html | application terminated with exit code 256 [@ memcmp | SECITEM_CompareItem_Util | ... | pkix_SignatureChecker_Check | ... | CERT_PKIXVerifyCert]
Duplicate of this bug: 937342
Bug 937342 was about a buffer overflow [@ SECITEM_CompareItem_Util], which is almost definitely the same issue as this. Adding that signature too.
Crash Signature: [@ memcmp | SECITEM_CompareItem_Util] → [@ memcmp | SECITEM_CompareItem_Util ] [@ SECITEM_CompareItem_Util ]
status-firefox26: --- → unaffected
status-firefox27: --- → unaffected
status-firefox-esr17: --- → unaffected
status-firefox-esr24: --- → unaffected
Keywords: regression, regressionwindow-wanted
Based on comment 10, I'd say everything is affected.
status-firefox25: --- → affected
status-firefox26: unaffected → affected
status-firefox27: unaffected → affected
status-firefox-esr17: unaffected → affected
status-firefox-esr24: unaffected → affected
Can we assign this to someone on the NSS team to work on?
(In reply to Al Billings [:abillings] from comment #14)
> Can we assign this to someone on the NSS team to work on?

First, we need to figure out if it is a problem with the way we are using NSS, or if the problem is in NSS itself.
Assignee: nobody → nobody
Component: Libraries → Security: PSM
Product: NSS → Core
Target Milestone: --- → mozilla28
Version: 3.15.2 → Trunk
Duplicate of this bug: 942357
https://tbpl.mozilla.org/php/getParsedLog.php?id=31360140&tree=Fx-Team
Summary: TEST-UNEXPECTED-FAIL | /tests/browser/base/content/test/general/test_feed_discovery.html | application terminated with exit code 256 [@ memcmp | SECITEM_CompareItem_Util | ... | pkix_SignatureChecker_Check | ... | CERT_PKIXVerifyCert] → TEST-UNEXPECTED-FAIL | test_feed_discovery.html,test_bug338583.html | application terminated with exit code 256 [@ memcmp | SECITEM_CompareItem_Util | ... | pkix_SignatureChecker_Check | ... | CERT_PKIXVerifyCert]
(In reply to Brian Smith (:briansmith, was :bsmith; Please NEEDINFO? me if you want a response) from comment #15)
> (In reply to Al Billings [:abillings] from comment #14)
> > Can we assign this to someone on the NSS team to work on?
> 
> First, we need to figure out if it is a problem with the way we are using
> NSS, or if the problem is in NSS itself.

Yeah and intermittent with no STR. Brian can you think of anyone else who might glean something from the logs?
Flags: needinfo?(brian)
cviecco, can you take this?
Flags: needinfo?(brian) → needinfo?(cviecco)
Sure, let me start looking into it.
Flags: needinfo?(cviecco)
Assignee: nobody → cviecco
status-firefox25: affected → wontfix
status-firefox29: --- → affected
status-firefox-esr17: affected → wontfix
Any updates, Camilo? This is kind of lingering.
(In reply to Al Billings [:abillings] from comment #23)
> Any updates, Camilo? This is kind of lingering.

Not much, it is a race condition. I got distraced but is back on my priority list.
status-firefox26: affected → wontfix
status-firefox27: affected → wontfix
status-firefox30: --- → affected
tracking-firefox28: + → ---
tracking-firefox30: --- → +
Camilo, any update? There's been no progress in quite some time.
Flags: needinfo?(cviecco)
Is it out of my p1 bugs. Shuld be on after insanity +  pinning. Can reasign if you want.
Flags: needinfo?(cviecco)
This particular stack trace, which has CERT_PKIXVerifyCert in it, will go away when we switch to insanity::pkix. There are other bugs tracking other instances and the more general problem; see bug 871575, for example.
Assignee: cviecco → nobody
Depends on: 915930
Target Milestone: mozilla28 → mozilla30
status-firefox28: affected → wontfix
This hasn't happened in 4 months, so I'm going to close it.  Please reopen if it happens again or if somebody wants to investigate.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → INCOMPLETE
tracking-firefox30: + → -
Group: crypto-core-security

Updated

3 years ago
Group: core-security → core-security-release
Keywords: regressionwindow-wanted
Group: core-security-release
You need to log in before you can comment on or make changes to this bug.